petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatFindNonzeroRows

Locate all rows that are not completely zero in the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindNonzeroRows(Mat mat,IS *keptrows)

### Input Parameter

A -the matrix

### Output Parameter

keptrows -the rows that are not completely zero

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages